Home
Docs
GitHub
Pricing
Blog
Log In

Run Sandworm Audit for your App

Get started
Generated on Jun 16, 2024 via pnpm

update-browserslist-db 1.0.9

CLI tool to update caniuse-lite to refresh target browsers from Browserslist config
Package summary
Share
2
issues
1
high severity
license
1
1
low severity
license
1
3
licenses
5
MIT
2
ISC
1
CC-BY-4.0
Package created
21 Jun 2022
Version published
13 Sep 2022
Maintainers
1
Total deps
8
Direct deps
3
License
MIT

Issues

2

1 high severity issue

high
Recommendation: Read and validate the license terms
via: browserslist@4.23.1
Collapse
Expand

1 low severity issue

low
Recommendation: Read and validate the license terms
via: browserslist@4.23.1
Collapse
Expand

Licenses

MIT License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
Cannot
hold-liable
Must
include-copyright
include-license
5 Packages, Including:
browserslist@4.23.1
escalade@3.1.2
node-releases@2.0.14
update-browserslist-db@1.0.16
update-browserslist-db@1.0.9

ISC License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
Cannot
hold-liable
Must
include-copyright
include-license
2 Packages, Including:
electron-to-chromium@1.4.803
picocolors@1.0.1

Creative Commons Attribution 4.0 International

Uncategorized
Not OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
Cannot
Must
1 Packages, Including:
caniuse-lite@1.0.30001634
Disclaimer

This deed highlights only some of the key features and terms of the actual license. It is not a license and has no legal value. You should carefully review all of the terms and conditions of the actual license before using the licensed material.

Sandworm is not a law firm and does not provide legal services. Distributing, displaying, or linking to this deed or the license that it summarizes does not create a lawyer-client or any other relationship.

Direct Dependencies

3
All Dependencies CSV
β“˜ This is a list of update-browserslist-db 's direct dependencies. Data on all dependencies, including transitive ones, is available via CSV download.
NameVersionSizeLicenseTypeVulnerabilities
browserslist4.23.161.4 kBMIT
prod peer
1
1
escalade3.1.24.25 kBMIT
prod
picocolors1.0.15.03 kBISC
prod

Visualizations

Frequently Asked Questions

What does update-browserslist-db do?

"update-browserslist-db" is an efficient CLI (Command-line Interface) tool designed to facilitate browser configuration management in JavaScript development workflows. Its main functionality revolves around the enhancement of the Browserslist config. The package primarily updates the caniuse-lite database, which holds the data necessary to execute browser-related queries like 'last 2 version' or '>1%'.

How do you use update-browserslist-db?

Using "update-browserslist-db" is quite straightforward which fits perfectly into any developer workflows. To utilize "update-browserslist-db", you need to run the following command in your terminal:

npx update-browserslist-db@latest

This command will trigger an update to the caniuse-lite browser's database based on your current Browserslist configuration.

Where are the update-browserslist-db docs?

Detailed documentation and resources for the "update-browserslist-db" package is conveniently accessible on GitHub. Developers can dive through the wealth of helpful content provided here which include comprehensive guides and insights into the tool's functionality, modes of operation, and potential utilization in diverse development scenarios.